PETSc version 3.15.5
Fix/Edit manual page

# PetscLogEventExcludeClass

Deactivates event logging for a PETSc object class in every stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventExcludeClass(PetscClassId classid)

Not Collective

### Input Parameter

| classid | - The object class, for example MAT_CLASSID, SNES_CLASSID, etc.

### See Also

PetscLogEventDeactivateClass(),PetscLogEventActivateClass(),PetscLogEventDeactivate(),PetscLogEventActivate()

### Level

developer

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages